Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Server_Protocol_Acceptor_Filter Class Reference

Populates mprofile with endpoints selected based on the RTCORBA::ServerProtocolPolicy. More...

`#include <RT_Acceptor_Filters.h>`

Inheritance diagram for TAO_Server_Protocol_Acceptor_Filter:

[legend]
Collaboration diagram for TAO_Server_Protocol_Acceptor_Filter:

[legend]
List of all members.

## Public Methods
| TAO_Server_Protocol_Acceptor_Filter (RTCORBA::ProtocolList &protocols)
| Constructor. More...
int | fill_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, TAO_Acceptor **acceptors_begin, TAO_Acceptor **acceptors_end, CORBA::Short priority)
| Populate <mprofile> based on what's in <protocols_>. More...
int | encode_endpoints (TAO_MProfile &mprofile)
| Encodes the endpoints in the profiles into the TAO_TAG_ENDPOINTS tag component of profiles. More...
## Private Attributes
RTCORBA::ProtocolList & | protocols_
| Value of the ServerProtocolPolicy used for endpoint selection. More...

## Detailed Description

Populates mprofile with endpoints selected based on the RTCORBA::ServerProtocolPolicy.

## Constructor & Destructor Documentation

TAO_Server_Protocol_Acceptor_Filter::TAO_Server_Protocol_Acceptor_Filter | ( | RTCORBA::ProtocolList & | protocols | ) |

| Constructor.

## Member Function Documentation

int TAO_Server_Protocol_Acceptor_Filter::encode_endpoints | ( | TAO_MProfile & | mprofile | ) | `[virtual]`

| Encodes the endpoints in the profiles into the TAO_TAG_ENDPOINTS tag component of profiles. Reimplemented from TAO_Acceptor_Filter.

int TAO_Server_Protocol_Acceptor_Filter::fill_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | TAO_Acceptor ** | acceptors_begin,
|  | TAO_Acceptor ** | acceptors_end,
|  | CORBA::Short | priority
| ) | `[virtual]`

| Populate <mprofile> based on what's in <protocols_>. Reimplemented from TAO_Acceptor_Filter.

## Member Data Documentation

RTCORBA::ProtocolList& TAO_Server_Protocol_Acceptor_Filter::protocols_`[private]`

| Value of the ServerProtocolPolicy used for endpoint selection.

The documentation for this class was generated from the following files:

- RT_Acceptor_Filters.h
- RT_Acceptor_Filters.cpp